/* INFO: test_text 텍스트 필드에 확인 완료 문자를 넣음으로서 크롬 확장이 있음을 알린다. */
document.getElementById('test_text').value = "EXTENSION";

/* INFO: 크롬 확장 용 버튼 클릭 이벤트가 발생하면 아래 함수를 실행한다. 버튼은 숨겨져 있어 사용자가 클릭할 수 없고, 코드에 의해 발동된다. */
document.getElementById('test_button').addEventListener('click', function(){
	let data = document.getElementById('test_text').value;
	
	/* INFO: 크롬 확장 앱의 백그라운드에게 요청을 보낸다.*/
	chrome.extension.sendRequest('bcffeaabpankpgikpifpailfcihmheno', data, function(message){
		/* INFO: 백그라운드로부터 콜백이 호출되면 해당 메시지를 다시 웹 페이지에게 전달한다. */
		document.getElementById('test_text').value = "EXTENSION";
		window.postMessage({type: 'EXTENSION', text: message}, '*');
	});
}, false);